#!/bin/sh
# i.MX 8M Plus, version V2.0, Phytec 04.2022

init_dev() {

echo " ====================================================================="

VID_DEVICE="/dev/video-csi1"
CAM_DEVICE="/dev/cam-csi1"
CAM_ENT="$(cat /sys/class/video4linux/$(readlink /dev/cam-csi1)/name)"
CAM_NAME="$(echo ${CAM_ENT} | cut -d" " -f1)"
CAM_I2C_BUS="$(echo ${CAM_ENT} | cut -d" " -f2 | cut -b1)"
CAM_I2C_ADRESS="$(echo ${CAM_ENT} | cut -d" " -f2 | cut -b4-6)"

if [ $CAM_NAME = "ar0144" ]; then
	source /usr/share/phytec-gstreamer-examples/ar0144.conf
elif [ $CAM_NAME = "ar0521" ]; then
	source /usr/share/phytec-gstreamer-examples/ar0521.conf
else
	echo ""
	echo " camera at CAM1 connector not found"
	echo " no camera or more then one camera connected"
	echo " please check camera device tree"
	echo " please check connected camera type, i2c adress and cable connections"
	echo ""
	return 1
fi

echo ""
echo " camera = $CAMERA_TYP at i2c bus=$CAM_I2C_BUS with i2c adress=0x$CAM_I2C_ADRESS installed"
echo " capture device @CAM1 = $(readlink -f /dev/video-csi1)"
echo " camera device @CAM1 = $(readlink -f /dev/cam-csi1)"
echo " camera entity name = $CAM_ENT"
echo " camera driver = $CAM_NAME"
echo ""

return 0
}